Subject: bug#16976: 24.3.50; Flickering during frame creation for the NS-port with toolbar-mode enabled

From: Jan Djärv <[email-masked]>
Date: Sat, 29 Mar 2014 13:32:49 +0100

Hello.

2014-03-09 20:12, Konrad Podczeck skrev:
> Use the key combination C-x 5 2 to open a new frame. During creation of the
> new frame, there is an annoying flickering.
>
> The flickering disappears, however, when tool-bar mode is disabled.
>
> With or without toolbar-mode, there is no flickering during frame creation
> for emacs compiled with the option "--with-x".
>
> So this flickering seems to be an NS-port specific bug.

It is an extra redraw that happens only on NS, i.e. frame is fully drawn, then 
cleared then redrawn again.  I'm not sure where it comes from yet.

	Jan D.

>
>
>
>
>
> In GNU Emacs 24.3.50.1 (x86_64-apple-darwin, NS apple-appkit-1038.36) of
> 2014-03-09 on bob.porkrind.org Repository revision:
> [email-masked] Windowing system
> distributor `Apple', version 10.3.1138 Configured using: `configure
> --host=x86_64-apple-darwin --build=i686-apple-darwin --with-ns'
>
> Important settings: locale-coding-system: utf-8-unix
>
> Major mode: LaTeX
>
> Minor modes in effect: shell-dirtrack-mode: t tooltip-mode: t
> electric-indent-mode: t mouse-wheel-mode: t tool-bar-mode: t menu-bar-mode:
> t file-name-shadow-mode: t global-font-lock-mode: t font-lock-mode: t
> blink-cursor-mode: t auto-composition-mode: t auto-encryption-mode: t
> auto-compression-mode: t line-number-mode: t transient-mark-mode: t
>
> Recent input: <help-echo> C-x C-f d o c u m a n t s <backspace>
> <backspace> <backspace> <backspace> e n t s / t e x f i l e s / b a l a t 2
> - t e x <backspace> <backspace> <backspace> <backspace> . t e x <return>
> C-x C-f p u r i f . t e x <return> M-x f i n d - f i l e - o SPC SPC
> <help-echo> <down-mouse-2> <mouse-1> <down-mouse-1> <mouse-1> <menu-bar>
> <file> <new-file> C-x 5 2 <menu-bar> <help-menu> < send-emacs-bug-report>
>
> Recent messages: Error: (file-error "Cannot open load file" "no such file
> or directory" "tex-site") For information about GNU Emacs and the GNU
> system, type C-h C-a. balat2.tex has auto save data; consider M-x
> recover-this-file purif.tex has auto save data; consider M-x
> recover-this-file Making completion list... read-file-name-default: No file
> name specified [2 times]
>
> Load-path shadows: None found.
>
> Features: (shadow sort gnus-util mail-extr emacsbug message format-spec
> rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
> mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
> mm-util help-fns mail-prsvr mail-utils help-mode tex-mode compile shell
> pcomplete comint ansi-color ring latexenc info easymenu package time-date
> tooltip electric uniquify ediff-hook vc-hooks lisp-float-type mwheel ns-win
> tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
> lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
> scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
> georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
> japanese hebrew greek romanian slovak czech european ethiopic indian
> cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
> minibuffer nadvice loaddefs button faces cus-face macroexp files
> text-properties overlay sha1 md5 base64 format env code-pages mule custom
> widget hashtable-print-readable backquote make-network-process cocoa ns
> multi-tty emacs)
>
>